<!--
  Generated template for the ViewAllPage page.
  
  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  
  <ion-navbar>
    <ion-title>View All Activity</ion-title>
  </ion-navbar>
  
</ion-header>

<ion-content >
  
  <ion-segment class="pBT" [(ngModel)]="menu">
    <ion-segment-button value="sStock">
      Survey Stock
    </ion-segment-button>
    <ion-segment-button value="sSurveiPenjualan">
      Sales Survey
    </ion-segment-button>
    <ion-segment-button value="sSales">
      Sales Order
    </ion-segment-button>
    <ion-segment-button value="activityList">
      Activity List
    </ion-segment-button>
    <ion-segment-button value="survey">
      Survey
    </ion-segment-button>
  </ion-segment>
  
  <div [ngSwitch]="menu">
    
    <ion-grid *ngSwitchCase="'sStock'">
      <ion-row>
        <ion-col col-12 *ngFor="let i of stock.simcard">
          <ion-row>
            <ion-col col-12  style="border-bottom:solid 1px #EEE;">
              <b>#Simcard</b>
            </ion-col>
          </ion-row>
          
          <table border="1" width="100%">
              <tr>
                  <td colspan="3"><b>Simcard</b></td>
                </tr>
            <tr>
              <td>Telkomcel</td>
              <td>Timor Telecom</td>
              <td>Telemor</td>
            </tr>
            <tr>
              <td>{{i.telkomcel}}</td>
              <td>{{i.timor_telecom}}</td>
              <td>{{i.telemor}}</td>
            </tr>
          </table>
          
        </ion-col>
        <ion-col col-12  *ngFor="let i of stock.etopup">
          <ion-row>
            <ion-col col-12  style="border-bottom:solid 1px #EEE;">
              <b>#Etopup</b>
            </ion-col>
          </ion-row>
          
          <table border="1" width="100%">
              <tr>
                  <td colspan="3"><b>Etopup</b></td>
                </tr>
            <tr>
              <td>Telkomcel</td>
              <td>Timor Telecom</td>
              <td>Telemor</td>
            </tr>
            <tr>
              <td>{{i.telkomcel}}</td>
              <td>{{i.timor_telecom}}</td>
              <td>{{i.telemor}}</td>
            </tr>
          </table>
          
        </ion-col>
        <ion-col col-12><b>#Voucher</b></ion-col>
        <ion-col col-12  *ngFor="let i of stock.voucher">
          
          <table border="1" width="100%">
            <tr>
              <td colspan="3"><b>{{i.product_name}}</b></td>
            </tr>
            <tr>
              <td>Telkomcel</td>
              <td>Timor Telecom</td>
              <td>Telemor</td>
            </tr>
            <tr>
              <td>{{i.telkomcel}}</td>
              <td>{{i.timor_telecom}}</td>
              <td>{{i.telemor}}</td>
            </tr>
          </table>
          
          
        </ion-col>
        <ion-col col-12><b>#Bundling</b></ion-col>
        <ion-col col-12  *ngFor="let i of stock.bundling">
          <table border="1" width="100%">
            <tr>
              <td colspan="3"><b>{{i.product_name}}</b></td>
            </tr>
            <tr>
              <td>Telkomcel</td>
              <td>Timor Telecom</td>
              <td>Telemor</td>
            </tr>
            <tr>
              <td>{{i.telkomcel}}</td>
              <td>{{i.timor_telecom}}</td>
              <td>{{i.telemor}}</td>
            </tr>
          </table>
          
        </ion-col>
      </ion-row>
    </ion-grid>
    
    <ion-grid *ngSwitchCase="'sSurveiPenjualan'">
      <ion-row>
        <ion-col col-12 *ngFor="let i of spenjualan.simcard">
          <ion-row>
            <ion-col col-12  style="border-bottom:solid 1px #EEE;">
              <b>#Simcard</b>
            </ion-col>
          </ion-row>
          
          <table border="1" width="100%">
              <tr>
                  <td colspan="1"><b>Simcard</b></td>
                </tr>    
                <tr>
                  <td colspan="3">Total Amount</td>
                </tr>

            <tr>
              <td>Telkomcel</td>
              <td>Timor Telecom</td>
              <td>Telemor</td>
            </tr>
            <tr>
              <td>{{i.telkomcel}}</td>
              <td>{{i.timor_telecom}}</td>
              <td>{{i.telemor}}</td>
            </tr>

            
          </table>
          
        </ion-col>
        <ion-col col-12  *ngFor="let i of spenjualan.etopup">
          <ion-row>
            <ion-col col-12  style="border-bottom:solid 1px #EEE;">
              <b>#Etopup</b>
            </ion-col>
          </ion-row>
          
          <table border="1" width="100%">
            <tr>
              <td colspan="1"><b>Etopup</b></td>
            </tr>    
            <tr>
              <td colspan="3">Total Amount</td>
            </tr>
            <tr>
              <td>Telkomcel</td>
              <td>Timor Telecom</td>
              <td>Telemor</td>
            </tr>
            <tr>
              <td>{{i.telkomcel}}</td>
              <td>{{i.timor_telecom}}</td>
              <td>{{i.telemor}}</td>
            </tr>
          </table>
          
        </ion-col>
        <ion-col col-12><b>#Voucher</b></ion-col>
        <ion-col col-12  *ngFor="let i of spenjualan.voucher">
          <table border="1" width="100%">
            <tr>
              <td colspan="1"><b>{{i.product_name}}</b></td>
            </tr>    
            <tr>
              <td colspan="3">Total Amount</td>
            </tr>
            <tr>
              <td>Telkomcel</td>
              <td>Timor Telecom</td>
              <td>Telemor</td>
            </tr>
            <tr>
              <td>{{i.telkomcel}}</td>
              <td>{{i.timor_telecom}}</td>
              <td>{{i.telemor}}</td>
            </tr>
          </table>
          
          
        </ion-col>
        <ion-col col-12><b>#Bundling</b></ion-col>
        <ion-col col-12  *ngFor="let i of spenjualan.bundling">
          
          <table border="1" width="100%">
            <tr>
              <td colspan="1"><b>{{i.product_name}}</b></td>
            </tr>    
            <tr>
              <td colspan="3">Total Amount</td>
            </tr>
            <tr>
              <td>Telkomcel</td>
              <td>Timor Telecom</td>
              <td>Telemor</td>
            </tr>
            <tr>
              <td>{{i.telkomcel}}</td>
              <td>{{i.timor_telecom}}</td>
              <td>{{i.telemor}}</td>
            </tr>
          </table>
          
        </ion-col>
      </ion-row>
    </ion-grid>
    
    <ion-grid *ngSwitchCase="'sSales'" >
      <ion-row>
        <ion-col col-12 *ngFor="let i of order.simcard">
          <ion-row>
            <ion-col col-12  style="border-bottom:solid 1px #EEE;">
              <b>#Simcard</b>
            </ion-col>
          </ion-row>
          
          <table border="1" width="100%">
              <tr>
                <td colspan="4"><b>Simcard</b></td>
              </tr>  
              <tr>
                <td>QTY</td>
                <td>Price</td>
                <td>Discount %</td>
                <td>Discount $</td>
                
              </tr>
              <tr>
                <td>{{i.nominal}}</td>
                <td>{{i.price}}</td>
                <td>{{i.discount}}</td>
                <td>{{i.dollar}}</td>
              </tr>
              <tr>
                <td colspan="2">Total</td>
                <td colspan="2">{{i.total}}</td>
              </tr>
             
              <tr>
                <td colspan="4"><b>Block Number</b></td>
              </tr>
              <tr>
                <td>QTY</td>
                <td>Start MSIDN</td>
                <td colspan="2">End MSIDN</td>
             </tr>
  
             <tbody *ngFor="let att of bnSimcard;" >
              <tr>
                <td>{{att.qty}}</td>
                <td>{{att.start_msisdn}}</td>
                <td colspan="2">{{att.end_msisdn}}</td>
              </tr>
           </tbody> 

            </table>

        </ion-col>
        <ion-col col-12 *ngFor="let i of order.etopup">
          <b>#Pulsa Digital</b>
          <table border="1" width="100%">
              <tr>
                <td colspan="4"><b>Pulsa Digital</b></td>
              </tr>  
              <tr>
                <td>Nominal</td>
                <td>Price</td>
                <td>Discount %</td>
                <td>Dollar $</td>
              </tr>
              <tr>
                <td>{{i.nominal}}</td>
                <td>{{i.price}}</td>
                <td>{{i.discount}}</td>
                <td>{{i.dollar}}</td>
              </tr>
              <tr>
                <td colspan="2">Total</td>
                <td colspan="2">{{i.total}}</td>
              </tr>
              <tr>
                <td colspan="2">Status</td>
                <td colspan="2">
                  <span *ngIf="i.status_approval==0" style="background:yellow;padding: 2px;color: #000;">Waiting</span>
                  <span *ngIf="i.status_approval==1" style="background:green;padding: 2px;color: #FFF;">Approved</span>
                  <span *ngIf="i.status_approval==2" style="background:tomato;padding: 2px;color: #FFF;">Rejected</span>
                </td>
              </tr>
            </table>
        </ion-col>
        <ion-col col-12>
          <b>#Voucher</b>
          <hr>
        </ion-col>
        <ion-col col-12 *ngFor="let i of order.voucher">
          
          <table border="1" width="100%">
              <tr>
                <td colspan="4"><b>{{i.product_name}}</b></td>
              </tr>  
              <tr>
                <td>QTY</td>
                <td>Price</td>
                <td>Discount %</td>
                <td>Discount $</td>
              </tr>
              <tr>
                <td>{{i.nominal}}</td>
                <td>{{i.price}}</td>
                <td>{{i.discount}}</td>
                <td>{{i.dollar}}</td>
              </tr>
              <tr>
                <td colspan="2">Total</td>
                <td colspan="2">{{i.total}}</td>
              </tr>

              <tr>
                <td colspan="4"><b>Block Number</b></td>
              </tr>
              <tr>
                <td>QTY</td>
                <td>Start MSIDN</td>
                <td colspan="2">End MSIDN</td>
             </tr>
  
             <tbody *ngFor="let att of bnVoucher;" >
              <tr *ngIf="att.products_fk == i.id">
                <th rowspan="2">{{att.qty}}</th>
                <td colspan="3">{{att.start_msisdn}}</td>
              </tr>
              
              <tr *ngIf="att.products_fk == i.id">
                <td colspan="3">{{att.end_msisdn}}</td>
              </tr>
           </tbody> 

            </table>

        </ion-col>
      </ion-row>
    </ion-grid>
    
    <ion-list *ngSwitchCase="'activityList'">
      <ion-item *ngFor="let i of viewActivity">
        <ion-icon name="checkmark-circle" style="color: #32db64;" item-start *ngIf="i.check == 1"></ion-icon>
        <ion-icon name="close-circle" style="color: red;" item-start *ngIf="i.check != 1"></ion-icon>
        {{i.activity}}
      </ion-item>
    </ion-list>
    
    <ion-grid *ngSwitchCase="'survey'">
      <ion-row>
        <ion-col col-12 *ngFor="let i of survey">
          <ion-row>
            <ion-col col-12 >{{i.survey_name}} ?</ion-col>
            <ion-col col-12>
              <div class="answer">
                {{i.answer}}
              </div>
            </ion-col>
          </ion-row>
        </ion-col>
        
      </ion-row>
    </ion-grid>
    
  </div>
</ion-content>
